﻿public class NoHunger : Mod
{
    private static void GetNourishmentVariables(out float food, out float thirst)
    {
        NourishmentVariables nourishmentVariables = GameModeValueManager.GetCurrentGameModeValue().nourishmentVariables;
        food = nourishmentVariables.foodDecrementRateMultiplier;
        thirst = nourishmentVariables.thirstDecrementRateMultiplier;
    }
    private static void SetNourishmentVariables(float food, float thirst)
    {
        NourishmentVariables nourishmentVariables = GameModeValueManager.GetCurrentGameModeValue().nourishmentVariables;
        nourishmentVariables.foodDecrementRateMultiplier = food;
        nourishmentVariables.thirstDecrementRateMultiplier = thirst;
    }
    private static float foodSaved = 1f;
    private static float thirstSaved = 1f;
    public void Start()
    {
        GetNourishmentVariables(out foodSaved, out thirstSaved);
        SetNourishmentVariables(0f, 0f);
    }
    public override void WorldEvent_WorldLoaded() {
        SetNourishmentVariables(0f, 0f);
    }
    public void OnModUnload()
    {
        SetNourishmentVariables(foodSaved, thirstSaved);
    }
}
